Get player snapshot
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/world/player"{ "player": { "position": { "x": 0.1, "y": 0.1, "z": 0.1, "dimension": "string" }, "velocity": { "x": 0.1, "y": 0.1, "z": 0.1 }, "rotation": { "yaw": 0.1, "pitch": 0.1, "headYaw": 0.1 }, "onGround": true, "pose": "string", "health": 0.1, "maxHealth": 0.1, "food": 0, "saturation": 0.1, "exhaustion": 0.1, "air": 0, "maxAir": 0, "fireTicks": 0, "freezingTicks": 0, "experience": { "level": 0, "progress": 0.1, "total": 0 }, "gameMode": "GAME_MODE_UNSPECIFIED", "abilities": { "invulnerable": true, "flying": true, "mayFly": true, "instantBuild": true, "flyingSpeed": 0.1, "walkingSpeed": 0.1 }, "selectedHotbarSlot": 0, "mainHand": { "itemId": "string", "count": 0, "maxStackSize": 0, "damage": 0, "maxDamage": 0, "customName": { "plainText": "string", "json": "string" }, "lore": [ { "plainText": "string", "json": "string" } ], "enchantments": [ { "enchantmentId": "string", "level": 0 } ], "food": { "nutrition": 0, "saturationModifier": 0.1, "canAlwaysEat": true, "eatSeconds": 0.1 }, "tool": { "toolTags": [ "string" ], "defaultMiningSpeed": 0.1, "harvestLevel": 0 }, "armor": { "equipmentSlot": "string", "defense": 0, "toughness": 0.1, "knockbackResistance": 0.1 }, "components": {}, "customDataNbt": "string", "fingerprint": "string", "potion": { "potionId": "string", "effects": [ { "effectId": "string", "amplifier": 0, "durationTicks": 0, "ambient": true, "visible": true, "showIcon": true } ], "color": 0 } }, "offHand": { "itemId": "string", "count": 0, "maxStackSize": 0, "damage": 0, "maxDamage": 0, "customName": { "plainText": "string", "json": "string" }, "lore": [ { "plainText": "string", "json": "string" } ], "enchantments": [ { "enchantmentId": "string", "level": 0 } ], "food": { "nutrition": 0, "saturationModifier": 0.1, "canAlwaysEat": true, "eatSeconds": 0.1 }, "tool": { "toolTags": [ "string" ], "defaultMiningSpeed": 0.1, "harvestLevel": 0 }, "armor": { "equipmentSlot": "string", "defense": 0, "toughness": 0.1, "knockbackResistance": 0.1 }, "components": {}, "customDataNbt": "string", "fingerprint": "string", "potion": { "potionId": "string", "effects": [ { "effectId": "string", "amplifier": 0, "durationTicks": 0, "ambient": true, "visible": true, "showIcon": true } ], "color": 0 } }, "equipment": { "property1": { "itemId": "string", "count": 0, "maxStackSize": 0, "damage": 0, "maxDamage": 0, "customName": { "plainText": "string", "json": "string" }, "lore": [ { "plainText": "string", "json": "string" } ], "enchantments": [ { "enchantmentId": "string", "level": 0 } ], "food": { "nutrition": 0, "saturationModifier": 0.1, "canAlwaysEat": true, "eatSeconds": 0.1 }, "tool": { "toolTags": [ "string" ], "defaultMiningSpeed": 0.1, "harvestLevel": 0 }, "armor": { "equipmentSlot": "string", "defense": 0, "toughness": 0.1, "knockbackResistance": 0.1 }, "components": {}, "customDataNbt": "string", "fingerprint": "string", "potion": { "potionId": "string", "effects": [ { "effectId": "string", "amplifier": 0, "durationTicks": 0, "ambient": true, "visible": true, "showIcon": true } ], "color": 0 } }, "property2": { "itemId": "string", "count": 0, "maxStackSize": 0, "damage": 0, "maxDamage": 0, "customName": { "plainText": "string", "json": "string" }, "lore": [ { "plainText": "string", "json": "string" } ], "enchantments": [ { "enchantmentId": "string", "level": 0 } ], "food": { "nutrition": 0, "saturationModifier": 0.1, "canAlwaysEat": true, "eatSeconds": 0.1 }, "tool": { "toolTags": [ "string" ], "defaultMiningSpeed": 0.1, "harvestLevel": 0 }, "armor": { "equipmentSlot": "string", "defense": 0, "toughness": 0.1, "knockbackResistance": 0.1 }, "components": {}, "customDataNbt": "string", "fingerprint": "string", "potion": { "potionId": "string", "effects": [ { "effectId": "string", "amplifier": 0, "durationTicks": 0, "ambient": true, "visible": true, "showIcon": true } ], "color": 0 } } }, "effects": [ { "effectId": "string", "amplifier": 0, "durationTicks": 0, "ambient": true, "visible": true, "showIcon": true } ], "attributes": [ { "attributeId": "string", "baseValue": 0.1, "value": 0.1, "modifiers": [ { "id": "string", "amount": 0.1, "operation": "string" } ] } ], "sleeping": true, "usingItem": true, "vehicle": { "connectionEpoch": "string", "networkId": 0, "uuid": "string" }, "spawnPoint": { "x": 0, "y": 0, "z": 0, "dimension": "string" }, "dead": true, "lastDamage": 0.1, "connectionEpoch": "string", "revision": "string" }}How is this page?
